uk.gov.hmrc.objectstore.client.play

# Implicits

###
Related Doc: package play

#### object Implicits extends PlayObjectStoreContentReads with PlayObjectStoreContentWrites with PlayMonads

Linear Supertypes
PlayMonads, PlayObjectStoreContentWrites, PlayObjectStoreContentReads, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Implicits
2. PlayMonads
3. PlayObjectStoreContentWrites
4. PlayObjectStoreContentReads
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object InMemoryReads extends InMemoryPlayObjectStoreContentReads

5. #### implicit def akkaSourceContentRead[F[_]](implicit F: PlayMonad[F]): ObjectStoreContentRead[F, WSResponse, Source[ByteString, NotUsed]]

   Definition Classes
     PlayObjectStoreContentReads

6. #### implicit def akkaSourceContentWrite[F[_], Mat](implicit ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentWrite[F, Source[ByteString, Mat], Request]

   Definition Classes
     PlayObjectStoreContentWrites

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### implicit def bytesWrite[F[_]](implicit F: PlayMonad[F]): ObjectStoreContentWrite[F, Array[Byte], Request]

   Definition Classes
     PlayObjectStoreContentWrites

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### implicit def fileWrite[F[_]](implicit F: PlayMonad[F]): ObjectStoreContentWrite[F, File, Request]

    Definition Classes
      PlayObjectStoreContentWrites

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### implicit def futureEitherMonad(implicit ec: ExecutionContext): PlayMonad[FutureEither]

    Definition Classes
      PlayMonads

15. #### implicit def futureMonad(implicit ec: ExecutionContext): PlayMonad[Future]

    Definition Classes
      PlayMonads

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### implicit def identity[F[_]]: ObjectStoreContentRead[F, Source[ByteString, NotUsed], Source[ByteString, NotUsed]]

    Definition Classes
      PlayObjectStoreContentReads

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### implicit def payloadAkkaSourceContentWrite[F[_], Mat](implicit F: PlayMonad[F]): ObjectStoreContentWrite[F, Payload[Source[ByteString, Mat]], Request]

    Definition Classes
      PlayObjectStoreContentWrites

24. #### implicit def stringWrite[F[_]](implicit F: PlayMonad[F]): ObjectStoreContentWrite[F, String, Request]

    Definition Classes
      PlayObjectStoreContentWrites

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayMonads

### Inherited from PlayObjectStoreContentWrites

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped